package main

import (
	_ "embed"

	"fmt"
	"os"

	"github.com/spf13/cobra"
)

//go:generate sh -c "git describe | tr -d '\r\n' > .version"
//go:embed .version
var version string

var versionCmd = &cobra.Command{
	Use:   "version",
	Short: "Returns jpictl's version",
	Args:  cobra.NoArgs,
	Run: func(_ *cobra.Command, _ []string) {
		_, _ = fmt.Fprintf(os.Stdout, "%s\n", version)
	},
}

func init() {
	if version == "" {
		version = "undetermined"
	}

	rootCmd.AddCommand(versionCmd)
}
