package cluster

import (
	"darvaza.org/resolver"
	"darvaza.org/slog"
	"darvaza.org/slog/handlers/discard"
)

// DefaultLogger returns a logger that doesn't log anything
func DefaultLogger() slog.Logger {
	return discard.New()
}

// DefaultLookuper returns a [resolver.Lookuper] using Cloudflare's 1.1.1.1
func DefaultLookuper() resolver.Lookuper {
	return resolver.NewCloudflareLookuper()
}
